Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 23 Nov 2014, 12:10
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
How to install Miro Internet TV?
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [10 Posts]  
Author Message
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Wed 28 Apr 2010, 12:16    Post subject:  How to install Miro Internet TV?  

Can anyone face making a pet or sfs for Miro? I have tried to get Miro working but I (A newbie.) got stuck compiling python bindings. Which is why I am asking some one to do it for me Very Happy Embarassed Twisted Evil Twisted Evil Wink Embarassed
http://www.getmiro.com/download/source/
Back to top
View user's profile Send private message Visit poster's website 
tubby

Joined: 24 Jan 2009
Posts: 317

PostPosted: Wed 28 Apr 2010, 12:45    Post subject:  

Have a look at this debian one.
http://packages.debian.org/lenny/miro
Back to top
View user's profile Send private message 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Wed 28 Apr 2010, 13:16    Post subject:  

Tested in Lucid Puppy version 1.1.3 with pfix=ram. Note this not the system I will be using. I will be using Stardust013 [Edit: I do not use this puppy any more. I now use Wary or LHP.] which currently has Pyhton2.5 from the devx sfs so basily Puppy Linux 431 in terms of libs.

Using a link named python2.5 in /usr/bin/ to python2.6 from Python 2.6.4 and the miro_3.0-1_i386.deb from Debian unstable. I got these errors:
Code:
# miro
Traceback (most recent call last):
  File "/usr/bin/miro.real", line 34, in <module>
    from miro.plat import xlibhelper
ImportError: No module named miro.plat

Last edited by abushcrafter on Thu 24 Feb 2011, 09:21; edited 2 times in total
Back to top
View user's profile Send private message Visit poster's website 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Thu 02 Sep 2010, 12:49    Post subject: Update  

Using Pdebthing I have tried to make a package, however I get the same error when I try to run Miro.

There where 4 failed packages it tried to get. They are:
  1. perlapi-5.10.0
  2. python2.6-cairo
  3. python2.6-gobject
  4. upstart-job

I found what I think where the packages it wanted except for "perlapi". They are:
  1. python-cairo_1.8.8-1_i386.deb
  2. python-gobject_2.21.1-0ubuntu3_i386.deb
  3. upstart_0.6.5-6_i386.deb

The packages I found (btw they are in the archive too.) I installed separately and still got the same error when I ran Miro.

I have uploaded the pet and the packages I built it from and other build bits in a XZ archive. You can get it here: http://batubia.com/j7ei8000ke0x

If you are using newer puppy's then you should have support for XZ in Xarchiver. You might need to install a PET that has the XZ binary and bits in it. I use the PET: "xz-4.999.9beta-i486.pet". If you don't have the XZ support in xarchive then you need my update of "tar-wap.sh" which you can get here: Puppy Linux Discussion Forum :: View topic - Improving The Wrappers From Xarchive. Its worth updating even in newer puppy's that have a version which has support for XZ, to my improved version of "tar-wap.sh" because it support more formats/file extensions it supports like PET.

_________________
adobe flash is rubbish!
My Quote:"Humans are stupid, though some are clever but stupid." http://www.dependent.de/media/audio/mp3/System_Syn_Heres_to_You.zip http://www.systemsyn.com/

Last edited by abushcrafter on Tue 07 Dec 2010, 17:22; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
stu90


Joined: 25 Feb 2010
Posts: 1401
Location: England. Dell Inspiron 1501. Dpup

PostPosted: Thu 02 Sep 2010, 13:46    Post subject:  

Sorry no help I tried to make a .pet of Miro a few days ago ran into the same problem with.
Code:
# miro
Traceback (most recent call last):
  File "/usr/bin/miro.real", line 34, in <module>
    from miro.plat import xlibhelper
ImportError: No module named miro.plat
Back to top
View user's profile Send private message 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Thu 02 Sep 2010, 14:27    Post subject:  

Thanks for the info. Anyone else had any luck?
_________________
adobe flash is rubbish!
My Quote:"Humans are stupid, though some are clever but stupid." http://www.dependent.de/media/audio/mp3/System_Syn_Heres_to_You.zip http://www.systemsyn.com/
Back to top
View user's profile Send private message Visit poster's website 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Mon 04 Oct 2010, 13:59    Post subject:  

What about PenguinTV : podcasts and video blogs for Linux as a Miro replacement? Any one tried it out? If so what do you think of it? Anyone got a PET already, which they can share?
_________________
adobe flash is rubbish!
My Quote:"Humans are stupid, though some are clever but stupid." http://www.dependent.de/media/audio/mp3/System_Syn_Heres_to_You.zip http://www.systemsyn.com/
Back to top
View user's profile Send private message Visit poster's website 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Sat 11 Dec 2010, 19:30    Post subject:  

Some ones else's unsuccessful efforts : http://www.murga-linux.com/puppy/viewtopic.php?p=475295#475295
_________________
adobe flash is rubbish!
My Quote:"Humans are stupid, though some are clever but stupid." http://www.dependent.de/media/audio/mp3/System_Syn_Heres_to_You.zip http://www.systemsyn.com/
Back to top
View user's profile Send private message Visit poster's website 
kellidedo

Joined: 24 Feb 2011
Posts: 2

PostPosted: Thu 24 Feb 2011, 07:16    Post subject:  

"Using Pdebthing I have tried to make a package, however I get the same error when I try to run Miro. "

Same problem with me, any ideas how to fix it?
Back to top
View user's profile Send private message 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Thu 24 Feb 2011, 09:23    Post subject:  

If I did have a idea this thread would be solved Smile. Though I have been thinking of trying again to compile the python bindings Miro needs.
_________________
adobe flash is rubbish!
My Quote:"Humans are stupid, though some are clever but stupid." http://www.dependent.de/media/audio/mp3/System_Syn_Heres_to_You.zip http://www.systemsyn.com/
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [10 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0649s ][ Queries: 12 (0.0083s) ][ GZIP on ]